<div class='content-scroll filter-icons pt-3'>
  <div class='wrapper icon-set-wrapper'>
    <h5 class='ps-3 mt-4 icon-set-title'>
      <LinkTo @route='browse.maps.map-view.spotlight' class='btn btn-outline-secondary border-0 align-baseline btn-spotlight-back'>
        <FaIcon @icon='chevron-left' />
      </LinkTo>
      {{@model.iconSet.name}}
    </h5>

    {{#if this.hasTerm}}
      <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{this.icons}} @value={{this.parent.selectedIconList}} />
    {{/if}}

    {{#unless this.hasTerm}}
      <Browse::GroupIterator @key='icon-filter' @items={{this.model.icons}} as |key list|>
        <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{list}} @value={{this.parent.selectedIconList}} />
      </Browse::GroupIterator>
    {{/unless}}
  </div>
</div>